{
  name = "x86";
  constraints = builtins.any (spec: spec == "x86");
  machine = { config, pkgs, ... }: {
    genode.init = {
      config = ./x86.dhall;
      inputs = with pkgs.genodePackages;
        [ acpi_drv platform_drv report_rom test-signal ]
        ++ (map genodeSources.make [ "test/pci" "test/rtc" ]);
    };
  };
}
